#define	MXSER_BOARDS	4
#define MXSER_PORTS_PER_BOARD	8

static char *mxser_brdname[] = {
	"Moxa CA-104 series",
	"Moxa CA-132 series",
    	"Moxa CA-132I series"
};

struct mxser_hwconf {
	int	board_type;
	int 	ports;
	int 	irq;
	int 	vector;
	int 	vector_mask;
	int 	uart_type;
	int 	ioaddr[MXSER_PORTS_PER_BOARD];
	int 	baud_base[MXSER_PORTS_PER_BOARD];
	int	MaxCanSeBaudRate[MXSER_PORTS_PER_BOARD];
};

static struct mxser_hwconf mxsercfg[MXSER_BOARDS]; 

#define MOXA_GET_MAJOR	_IOR('t', 200, int)
#define MOXA_GET_CONF	_IOR('t', 201, mxsercfg)
